Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597978 - Review Request: maven-ant-plugin - Maven Ant Plugin
Review Request: maven-ant-plugin - Maven Ant Plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 03:04 EDT by huwang
Modified: 2010-06-04 06:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 06:49:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 huwang 2010-05-31 05:32:44 EDT
Note about this package:
Built with dist-f14-maven221 target in koji, here is the link:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2218801
Comment 2 huwang 2010-06-01 05:35:57 EDT
Rebuit in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2221820
Comment 3 Alexander Kurtakov 2010-06-01 14:45:28 EDT
I'm taking this one.
Comment 4 Alexander Kurtakov 2010-06-01 15:13:23 EDT
Review:

FIXIT: rpmlint must be run on every package. Output:

maven-ant-plugin.noarch: W: self-obsoletion maven2-plugin-ant <= 0:2.0.8 obsoletes maven2-plugin-ant = 2.3-1.fc13

It is obsoleting with Epoch but providing without Epoch.
To fix it:
Provides: maven2-plugin-ant = %{version}-%{release} should become
Provides: maven2-plugin-ant = 0:%{version}-%{release}

maven-ant-plugin.noarch: W: no-documentation
maven-ant-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-ant-plugin

False positives. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 

Other than the provides everything else looks good.
Comment 5 huwang 2010-06-01 23:38:55 EDT
(In reply to comment #4)
> Review:
> 
> FIXIT: rpmlint must be run on every package. Output:
> 
> maven-ant-plugin.noarch: W: self-obsoletion maven2-plugin-ant <= 0:2.0.8
> obsoletes maven2-plugin-ant = 2.3-1.fc13
> 
> It is obsoleting with Epoch but providing without Epoch.
> To fix it:
> Provides: maven2-plugin-ant = %{version}-%{release} should become
> Provides: maven2-plugin-ant = 0:%{version}-%{release}

Fixed. As Stanislav said epoch should be 1(see https://bugzilla.redhat.com/show_bug.cgi?id=598058), for now I'm not sure about it.
> 
> maven-ant-plugin.noarch: W: no-documentation
> maven-ant-plugin.noarch: W: non-conffile-in-etc
> /etc/maven/fragments/maven-ant-plugin
> 
> False positives. 
> 
> OK: The package must be named according to the Package Naming Guidelines .
> OK: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption. 
> OK: The package must meet the Packaging Guidelines .
> OK: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines .
> OK: The License field in the package spec file must match the actual license.
> OK: If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc.
> OK: The spec file must be written in American English. 
> OK: The spec file for the package MUST be legible. 
> OK: The sources used to build the package must match the upstream source, as
> provided in the spec URL. 
> OK: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture. 
> OK: All build dependencies must be listed in BuildRequires, except for any that
> are listed in the exceptions section of the Packaging Guidelines ; inclusion of
> those as BuildRequires is optional. Apply common sense.
> OK: Packages must NOT bundle copies of system libraries.
> OK: A package must own all directories that it creates. If it does not create a
> directory that it uses, then it should require a package which does create that
> directory. 
> OK: A Fedora package must not list a file more than once in the spec file's
> %files listings. 
> OK: Permissions on files must be set properly. Executables should be set
> with executable permissions, for example. Every %files section must include a
> %defattr(...) line. 
> OK: Each package must consistently use macros. 
> OK: The package must contain code, or permissable content. 
> OK: Large documentation files must go in a -doc subpackage. 
> OK: If a package includes something as %doc, it must not affect the runtime of
> the application. 
> OK: Packages must not own files or directories already owned by other packages. 
> OK: All filenames in rpm packages must be valid UTF-8. 
> 
> Other than the provides everything else looks good.    

Spec URL: http://huwang.fedorapeople.org/packages/maven_ant_plugin/maven-ant-plugin.spec
SRPM URL: http://huwang.fedorapeople.org/packages/maven_ant_plugin/maven-ant-plugin-2.3-2.src.rpm

scratch built in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2224086
Comment 6 Alexander Kurtakov 2010-06-02 02:36:01 EDT
Thanks,

This package is APPROVED.
Comment 7 huwang 2010-06-02 03:52:15 EDT
New Package CVS Request
=======================
Package Name: maven-ant-plugin
Short Description: Maven Ant Plugin
Owners: huwang
Branches: 
InitialCC:
Comment 8 Kevin Fenzi 2010-06-03 16:32:37 EDT
CVS done (by process-cvs-requests.py).
Comment 9 huwang 2010-06-04 06:49:24 EDT
Built in koji: http://koji.fedoraproject.org/koji/buildinfo?buildID=176566

Note You need to log in before you can comment on or make changes to this bug.